org.eclipse.rdf4j.sail.shacl.results.lazy

## Class ValidationResultIterator

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.results.lazy.ValidationResultIterator

- All Implemented Interfaces:
    Iterator<ValidationResult>

      @InternalUseOnly
      public class ValidationResultIterator
      extends Object
      implements Iterator<ValidationResult>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationResultIterator(CloseableIteration<? extends org.eclipse.rdf4j.sail.shacl.ast.planNodes.ValidationTuple,SailException> tupleIterator, long limit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `conforms()`
    `List<org.eclipse.rdf4j.sail.shacl.ast.planNodes.ValidationTuple>` | `getTuples()`
    `boolean` | `hasNext()`
    `boolean` | `isTruncated()`
    `ValidationResult` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### ValidationResultIterator

          public ValidationResultIterator(CloseableIteration<? extends org.eclipse.rdf4j.sail.shacl.ast.planNodes.ValidationTuple,SailException> tupleIterator,
                                          long limit)

  - ### Method Detail

    - #### getTuples

          public List<org.eclipse.rdf4j.sail.shacl.ast.planNodes.ValidationTuple> getTuples()

    - #### conforms

          public boolean conforms()

    - #### isTruncated

          public boolean isTruncated()

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<ValidationResult>`

    - #### next

          public ValidationResult next()

      Specified by:
        `next` in interface `Iterator<ValidationResult>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<ValidationResult>`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.